Question CAN'T INSTALL AMD HD7730 DRIVERS BLACK SCREEN PROBLEM

Mar 5, 2019
3
0
10
0
my pc specs;

windows 10 pro 64bit
8gb ram
amd radeon sapphire hd7730 1gb ddr5


my graphic card worked fine untill i updated to 17.x.x.something later on it suddenly stopped working.


have tried to install all versions from 17.x to 19.2.3 , but everytime i install any driver it just goes to black screen at the time of installing display drivers.
i've installed every driver after fresh os install but nothing worked.every driver version says at time of installtion "your graphic card awaits" everythings ok untill when it installs display drivers, screen flickers complete black 2 times and then goes off.


im using win-10pro 64bit and obviously graphic card isnt damaged cause driver detects it .
also it shows up in device manager in safe mode.but does'nt show up when i restart in normal mode.


should i go back and install 14.x or 15.x or 16.x drivers version ,anyhow i could'nt find those versions at amd official site.


please help.any suggestions would be appreciated.
 
Last edited:

Lutfij

Titan
Moderator
You can try and install older GPU drivers under compatibility mode:
Right click installer>Compatibility Tab>Windows X where X denotes the OS you're looking to install on outside of 10.

Mind sharing your current system's specs like so:
CPU:
Motherboard:
Ram:
SSD/HDD:
GPU:
PSU:
Chassis:
OS:

Which version of Windows 10 are you on?

You need to be careful of how you come across the forums. Posting in all caps or in all bolds will mean that you're screaming at us.
Moderator
Lutfij
 
Mar 5, 2019
3
0
10
0
i'm sorry sir for typing in capslock on

CPU: intel 2nd generation i3@3.10ghz 2100
Motherboard: asus motherboard p8h61-m lx
Ram: 8gb ddr3
SSD/HDD: seagate barracuda 1tb
GPU: amd radeon sapphire hd7730 1gb ddr5
PSU: cooler master 450w 12v
Chassis: intex it 211
OS: win-10 pro 64 bit
using windows latest build itself, os build 17763 version 1809

i've tried installing the driver under compatibility mode for win8 and win7,but no use.it says incompatible application error.

please help. i've been trying to fix it since 8 months.
 
Last edited:

ASK THE COMMUNITY

TRENDING THREADS